# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "edtui"
version = "0.6.0"
authors = ["preiter <phil.reiter93@gmail.com>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A TUI based vim inspired editor"
readme = "README.md"
keywords = [
    "ratatui",
    "tui",
    "editor",
    "text",
    "vim",
]
license = "MIT"
repository = "https://github.com/preiter93/edtui"

[lib]
name = "edtui"
path = "src/lib.rs"

[[example]]
name = "app"
path = "examples/app/main.rs"

[dependencies.arbitrary]
version = "1"
features = ["derive"]
optional = true

[dependencies.arboard]
version = "3.3.0"
optional = true

[dependencies.enum_dispatch]
version = "0.3.12"

[dependencies.jagged]
version = "0.1.4"
package = "edtui-jagged"

[dependencies.ratatui]
version = "0.28"

[features]
arboard = ["dep:arboard"]
default = [
    "arboard",
    "mouse-support",
]
mouse-support = []
